com.impinj.stp

## Class StpApi.OperationDataDetails.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>
      - - com.impinj.stp.StpApi.OperationDataDetails.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationDataDetailsOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationDataDetails

      public static final class StpApi.OperationDataDetails.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>
      implements StpApi.OperationDataDetailsOrBuilder

  Protobuf type `Impinj.STP.OperationDataDetails`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationDataDetails.Builder` | `addAllInstalledFeatures(java.lang.Iterable<java.lang.String> values)`
    `StpApi.OperationDataDetails.Builder` | `addInstalledFeatures(java.lang.String value)`
    `StpApi.OperationDataDetails.Builder` | `addInstalledFeaturesBytes(com.google.protobuf.ByteString value)`
    `StpApi.OperationDataDetails` | `build()`
    `StpApi.OperationDataDetails` | `buildPartial()`
    `StpApi.OperationDataDetails.Builder` | `clear()`
    `StpApi.OperationDataDetails.Builder` | `clearFirmwareVersion()`
    `StpApi.OperationDataDetails.Builder` | `clearInstalledFeatures()`
    `StpApi.OperationDataDetails.Builder` | `clearMonzaVolumeKeyId()`
    `StpApi.OperationDataDetails.Builder` | `clearNonMonzaVolumeKeyId()`
    `StpApi.OperationDataDetails.Builder` | `clearOperationMetrics()`
    `StpApi.OperationDataDetails.Builder` | `clearRegion()`
    `StpApi.OperationDataDetails.Builder` | `clearSerialNumber()`
    `StpApi.OperationDataDetails.Builder` | `clone()`
    `StpApi.OperationDataDetails` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `java.lang.String` | `getFirmwareVersion()`
    `com.google.protobuf.ByteString` | `getFirmwareVersionBytes()`
    `java.lang.String` | `getInstalledFeatures(int index)`
    `com.google.protobuf.ByteString` | `getInstalledFeaturesBytes(int index)`
    `int` | `getInstalledFeaturesCount()`
    `java.util.List<java.lang.String>` | `getInstalledFeaturesList()`
    `int` | `getMonzaVolumeKeyId()`
    `int` | `getNonMonzaVolumeKeyId()`
    `StpApi.OperationMetrics` | `getOperationMetrics()`
    `StpApi.OperationMetrics.Builder` | `getOperationMetricsBuilder()`
    `StpApi.OperationMetricsOrBuilder` | `getOperationMetricsOrBuilder()`
    `java.lang.String` | `getRegion()`
    `com.google.protobuf.ByteString` | `getRegionBytes()`
    `java.lang.String` | `getSerialNumber()`
    `com.google.protobuf.ByteString` | `getSerialNumberBytes()`
    `boolean` | `hasFirmwareVersion()`
    `boolean` | `hasMonzaVolumeKeyId()`
    `boolean` | `hasNonMonzaVolumeKeyId()`
    `boolean` | `hasOperationMetrics()`
    `boolean` | `hasRegion()`
    `boolean` | `hasSerialNumber()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationDataDetails.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationDataDetails.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationDataDetails.Builder` | `mergeFrom(StpApi.OperationDataDetails other)`
    `StpApi.OperationDataDetails.Builder` | `mergeOperationMetrics(StpApi.OperationMetrics value)`
    `StpApi.OperationDataDetails.Builder` | `setFirmwareVersion(java.lang.String value)`
    `StpApi.OperationDataDetails.Builder` | `setFirmwareVersionBytes(com.google.protobuf.ByteString value)`
    `StpApi.OperationDataDetails.Builder` | `setInstalledFeatures(int index, java.lang.String value)`
    `StpApi.OperationDataDetails.Builder` | `setMonzaVolumeKeyId(int value)`
    `StpApi.OperationDataDetails.Builder` | `setNonMonzaVolumeKeyId(int value)`
    `StpApi.OperationDataDetails.Builder` | `setOperationMetrics(StpApi.OperationMetrics.Builder builderForValue)`
    `StpApi.OperationDataDetails.Builder` | `setOperationMetrics(StpApi.OperationMetrics value)`
    `StpApi.OperationDataDetails.Builder` | `setRegion(java.lang.String value)`
    `StpApi.OperationDataDetails.Builder` | `setRegionBytes(com.google.protobuf.ByteString value)`
    `StpApi.OperationDataDetails.Builder` | `setSerialNumber(java.lang.String value)`
    `StpApi.OperationDataDetails.Builder` | `setSerialNumberBytes(com.google.protobuf.ByteString value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### clear

          public StpApi.OperationDataDetails.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### clone

          public StpApi.OperationDataDetails.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationDataDetails getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationDataDetails build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationDataDetails buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationDataDetails.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### mergeFrom

          public StpApi.OperationDataDetails.Builder mergeFrom(StpApi.OperationDataDetails other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationDataDetails.Builder>`

    - #### mergeFrom

          public StpApi.OperationDataDetails.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationDataDetails.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSerialNumber

          public boolean hasSerialNumber()

      Specified by:
        `hasSerialNumber` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getSerialNumber

          public java.lang.String getSerialNumber()

      Specified by:
        `getSerialNumber` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getSerialNumberBytes

          public com.google.protobuf.ByteString getSerialNumberBytes()

      Specified by:
        `getSerialNumberBytes` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setSerialNumber

          public StpApi.OperationDataDetails.Builder setSerialNumber(java.lang.String value)

    - #### clearSerialNumber

          public StpApi.OperationDataDetails.Builder clearSerialNumber()

    - #### setSerialNumberBytes

          public StpApi.OperationDataDetails.Builder setSerialNumberBytes(com.google.protobuf.ByteString value)

    - #### hasFirmwareVersion

          public boolean hasFirmwareVersion()

      Specified by:
        `hasFirmwareVersion` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getFirmwareVersion

          public java.lang.String getFirmwareVersion()

      Specified by:
        `getFirmwareVersion` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getFirmwareVersionBytes

          public com.google.protobuf.ByteString getFirmwareVersionBytes()

      Specified by:
        `getFirmwareVersionBytes` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setFirmwareVersion

          public StpApi.OperationDataDetails.Builder setFirmwareVersion(java.lang.String value)

    - #### clearFirmwareVersion

          public StpApi.OperationDataDetails.Builder clearFirmwareVersion()

    - #### setFirmwareVersionBytes

          public StpApi.OperationDataDetails.Builder setFirmwareVersionBytes(com.google.protobuf.ByteString value)

    - #### hasRegion

          public boolean hasRegion()

      Specified by:
        `hasRegion` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getRegion

          public java.lang.String getRegion()

      Specified by:
        `getRegion` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getRegionBytes

          public com.google.protobuf.ByteString getRegionBytes()

      Specified by:
        `getRegionBytes` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setRegion

          public StpApi.OperationDataDetails.Builder setRegion(java.lang.String value)

    - #### clearRegion

          public StpApi.OperationDataDetails.Builder clearRegion()

    - #### setRegionBytes

          public StpApi.OperationDataDetails.Builder setRegionBytes(com.google.protobuf.ByteString value)

    - #### getInstalledFeaturesList

          public java.util.List<java.lang.String> getInstalledFeaturesList()

      Specified by:
        `getInstalledFeaturesList` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getInstalledFeaturesCount

          public int getInstalledFeaturesCount()

      Specified by:
        `getInstalledFeaturesCount` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getInstalledFeatures

          public java.lang.String getInstalledFeatures(int index)

      Specified by:
        `getInstalledFeatures` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getInstalledFeaturesBytes

          public com.google.protobuf.ByteString getInstalledFeaturesBytes(int index)

      Specified by:
        `getInstalledFeaturesBytes` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setInstalledFeatures

          public StpApi.OperationDataDetails.Builder setInstalledFeatures(int index,
                                                                          java.lang.String value)

    - #### addInstalledFeatures

          public StpApi.OperationDataDetails.Builder addInstalledFeatures(java.lang.String value)

    - #### addAllInstalledFeatures

          public StpApi.OperationDataDetails.Builder addAllInstalledFeatures(java.lang.Iterable<java.lang.String> values)

    - #### clearInstalledFeatures

          public StpApi.OperationDataDetails.Builder clearInstalledFeatures()

    - #### addInstalledFeaturesBytes

          public StpApi.OperationDataDetails.Builder addInstalledFeaturesBytes(com.google.protobuf.ByteString value)

    - #### hasNonMonzaVolumeKeyId

          public boolean hasNonMonzaVolumeKeyId()

      Specified by:
        `hasNonMonzaVolumeKeyId` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getNonMonzaVolumeKeyId

          public int getNonMonzaVolumeKeyId()

      Specified by:
        `getNonMonzaVolumeKeyId` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setNonMonzaVolumeKeyId

          public StpApi.OperationDataDetails.Builder setNonMonzaVolumeKeyId(int value)

    - #### clearNonMonzaVolumeKeyId

          public StpApi.OperationDataDetails.Builder clearNonMonzaVolumeKeyId()

    - #### hasOperationMetrics

          public boolean hasOperationMetrics()

      Specified by:
        `hasOperationMetrics` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getOperationMetrics

          public StpApi.OperationMetrics getOperationMetrics()

      Specified by:
        `getOperationMetrics` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setOperationMetrics

          public StpApi.OperationDataDetails.Builder setOperationMetrics(StpApi.OperationMetrics value)

    - #### setOperationMetrics

          public StpApi.OperationDataDetails.Builder setOperationMetrics(StpApi.OperationMetrics.Builder builderForValue)

    - #### mergeOperationMetrics

          public StpApi.OperationDataDetails.Builder mergeOperationMetrics(StpApi.OperationMetrics value)

    - #### clearOperationMetrics

          public StpApi.OperationDataDetails.Builder clearOperationMetrics()

    - #### getOperationMetricsBuilder

          public StpApi.OperationMetrics.Builder getOperationMetricsBuilder()

    - #### getOperationMetricsOrBuilder

          public StpApi.OperationMetricsOrBuilder getOperationMetricsOrBuilder()

      Specified by:
        `getOperationMetricsOrBuilder` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### hasMonzaVolumeKeyId

          public boolean hasMonzaVolumeKeyId()

      Specified by:
        `hasMonzaVolumeKeyId` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### getMonzaVolumeKeyId

          public int getMonzaVolumeKeyId()

      Specified by:
        `getMonzaVolumeKeyId` in interface `StpApi.OperationDataDetailsOrBuilder`

    - #### setMonzaVolumeKeyId

          public StpApi.OperationDataDetails.Builder setMonzaVolumeKeyId(int value)

    - #### clearMonzaVolumeKeyId

          public StpApi.OperationDataDetails.Builder clearMonzaVolumeKeyId()